import Cookie from 'js-cookie'

const url = location.host
const isDev = process.env.NODE_ENV === 'development' //是否本地
const isTest = url.includes('occupationlab.com') //测试服
const isHh = url.includes('10.196.131.73') //是否是河海版本
const isZxy = url.includes('izhixinyun.com') //是否智信云
let vscodeUrl = 'http://172.16.40.56:8088/'

let host = location.origin + '/'
// let host = `https://izhixinyun.com/`

let bankPath = `${location.origin}/systembank` // 银行系统
// occupationlab.com | 192.168.31.151
if (isDev) {
  host = 'http://192.168.31.217:9000/'
  // host = 'https://occupationlab.com/'
  // host = 'https://izhixinyun.com/'
  bankPath = `http://${location.hostname}:8093`
} else if (isTest) {
  vscodeUrl = 'https://vscode.occupationlab.com'
} else if (isZxy) {
  vscodeUrl = 'https://vscode.izhixinyun.com'
}
vscodeUrl += `?folder=/home/coder/workspace`
const systemId = Cookie.get('admin-systemId')
export default {
  /**
   * @description 域名
   */
  host,
  /**
    * @description 是否本地
    */
  isDev,
  /**
    * @description 测试服
    */
  isTest,
  /**
    * @description 是否是河海版本
    */
  isHh,
  /**
    * @description 是否智信云
    */
  isZxy,
  /**
   * @description 系统主题色
   * 如果有多个systemId，则显示系统7的主题色
   */
  defaultSystem: systemId.includes(',') ? 7 : systemId,
  /**
   * 银行系统
   **/
  bankPath,
  /**
   * vscode地址
   **/
  vscodeUrl,
  /**
   * @description 长时间未操作，自动退出登录时间
   */
  autoLogoutTime: 1000 * 60 * 60 * 3
}